# Plutonium framework API: pu::ui::TouchPoint Struct Reference

pu::ui::TouchPoint Struct Reference

`#include <ui_Types.hpp>`

## Public Member Functions

constexpr | TouchPoint ()
constexpr | TouchPoint (const u32 x, const u32 y)
constexpr bool | IsEmpty () const
constexpr bool | HitsRegion (const i32 region_x, const i32 region_y, const i32 region_w, const i32 region_h) const

## Public Attributes

i32 | x
i32 | y

## Constructor & Destructor Documentation

## TouchPoint() [1/2]

constexpr pu::ui::TouchPoint::TouchPoint | ( |  | ) |

inlineconstexpr

## TouchPoint() [2/2]

constexpr pu::ui::TouchPoint::TouchPoint | ( | const u32 | x,
|  | const u32 | y
| ) |  |

inlineconstexpr

## Member Function Documentation

## HitsRegion()

constexpr bool pu::ui::TouchPoint::HitsRegion | ( | const i32 | region_x,
|  | const i32 | region_y,
|  | const i32 | region_w,
|  | const i32 | region_h
| ) |  | const

inlineconstexpr

## IsEmpty()

constexpr bool pu::ui::TouchPoint::IsEmpty | ( |  | ) | const

inlineconstexpr

## Member Data Documentation

## x

i32 pu::ui::TouchPoint::x

## y

i32 pu::ui::TouchPoint::y

The documentation for this struct was generated from the following file:

- Plutonium/include/pu/ui/ui_Types.hpp